import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
import { IContextMenuService, IContextMenu_input, IActionRun_input } from '@workbench-stack/core';
export declare class ContextMenuService implements IContextMenuService {
    protected client: ApolloClient<any>;
    protected cache: InMemoryCache;
    constructor(client: ApolloClient<any>, cache: InMemoryCache);
    showContextMenu(delegate: IContextMenu_input): Promise<boolean>;
    hideContextMenu(): Promise<boolean>;
    runMenuAction(argument: IActionRun_input): Promise<boolean>;
}
